LocalVariables (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.verifier.structurals.LocalVariables,LocalVariables class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.structurals
Class LocalVariables

    java.lang.Object
      |
      +--org.apache.bcel.verifier.structurals.LocalVariables

public class LocalVariables
extends java.lang.Object

This class implements an array of local variables used for symbolic JVM simulation.

Version:
  $Id: LocalVariables.java,v 1.2 2002/08/02 11:57:51 enver Exp $
Author:
  Enver Haase

Constructor Summary
`LocalVariables(int maxLocals)` Creates a new LocalVariables object.

Method Summary
`protected java.lang.Object` | `clone()` Returns a deep copy of this object; i.e. the clone operates on a new local variable array.
`boolean` | `equals(java.lang.Object o)`
`Type` | `get(int i)` Returns the type of the local variable slot i.
`LocalVariables` | `getClone()` Returns a (correctly typed) clone of this object.
`void` | `initializeObject(UninitializedObjectType u)` Replaces all occurences of u in this local variables set with an "initialized" ObjectType.
`int` | `maxLocals()` Returns the number of local variable slots this LocalVariables instance has.
`void` | `merge(LocalVariables lv)` Merges two local variables sets as described in the Java Virtual Machine Specification, Second Edition, section 4.9.2, page 146.
`void` | `set(int i, Type type)` Sets a new Type for the given local variable slot.
`java.lang.String` | `toString()` Returns a String representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocalVariables

    public LocalVariables(int maxLocals)

  Creates a new LocalVariables object.

Method Detail

### clone

    protected java.lang.Object clone()

  Returns a deep copy of this object; i.e. the clone operates on a new local variable array. However, the Type objects in the array are shared.

  Overrides:
    `clone` in class `java.lang.Object`

### get

    public Type get(int i)

  Returns the type of the local variable slot i.

### getClone

    public LocalVariables getClone()

  Returns a (correctly typed) clone of this object. This is equivalent to ((LocalVariables) this.clone()).

### maxLocals

    public int maxLocals()

  Returns the number of local variable slots this LocalVariables instance has.

### set

    public void set(int i,
                    Type type)

  Sets a new Type for the given local variable slot.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### merge

    public void merge(LocalVariables lv)

  Merges two local variables sets as described in the Java Virtual Machine Specification, Second Edition, section 4.9.2, page 146.

### toString

    public java.lang.String toString()

  Returns a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

### initializeObject

    public void initializeObject(UninitializedObjectType u)

  Replaces all occurences of u in this local variables set with an "initialized" ObjectType.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.